import { openBlock, createBlock, renderSlot, withScopeId } from 'vue';

var script = {
  name: 'Row',
  data: function data() {
    return {
      styleGeneral: this.createGutter(this.gutter)
    };
  },
  props: {
    gutter: Number,
    columns: {
      type: Number,
      "default": 12
    }
  },
  methods: {
    createGutter: function createGutter(gutter) {
      return gutter ? "--paddingVGR:".concat(gutter / 2, "px;--marginVGR:-").concat(gutter / 2, "px") : '--paddingVGR:0;--marginVGR:0';
    }
  }
};

var _withId = /*#__PURE__*/withScopeId("data-v-4424dc71");

var render = /*#__PURE__*/_withId(function (_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createBlock("div", {
    style: $data.styleGeneral,
    "class": "container"
  }, [renderSlot(_ctx.$slots, "default")], 4
  /* STYLE */
  );
});

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css_248z = "\n.container[data-v-4424dc71] {\n  box-sizing: border-box;\n  display: flex;\n  flex-wrap: wrap;\n  width: calc(100% + (var(--paddingVGR) * 2));\n  margin: var(--marginVGR);\n}\n";
styleInject(css_248z);

script.render = render;
script.__scopeId = "data-v-4424dc71";
script.__file = "src/Row.vue";

var script$1 = {
  name: 'Col',
  data: function data() {
    var styleGeneral = this.createStyleSize();

    if (this.xs || this.sm || this.md || this.lg || this.xl) {
      styleGeneral += "--colFlexVGR:0;";
    } else {
      styleGeneral = "--colFlexVGR:1;";
    }

    return {
      classGeneral: "colVGR ".concat(this.createClassSize()),
      styleGeneral: styleGeneral
    };
  },
  props: {
    xs: Number,
    sm: Number,
    md: Number,
    lg: Number,
    xl: Number
  },
  methods: {
    getValue: function getValue(breakpoint) {
      var localColumns = this.$parent.columns;

      if (breakpoint > localColumns) {
        breakpoint = localColumns;
      }

      return breakpoint ? "".concat(breakpoint / localColumns * 100, "%") : false;
    },
    createClassSize: function createClassSize() {
      var newClass = 'colVGR-xs ';
      newClass += this.sm ? 'colVGR-sm ' : '';
      newClass += this.md ? 'colVGR-md ' : '';
      newClass += this.lg ? 'colVGR-lg ' : '';
      newClass += this.xl ? 'colVGR-xl ' : '';
      return newClass;
    },
    createStyleSize: function createStyleSize() {
      var newStyle = '';
      newStyle += this.xs ? "--xsWidthVGR:".concat(this.getValue(this.xs), "; ") : "--xsWidthVGR:100%; ";
      newStyle += this.sm ? "--smWidthVGR:".concat(this.getValue(this.sm), "; ") : '';
      newStyle += this.md ? "--mdWidthVGR:".concat(this.getValue(this.md), "; ") : '';
      newStyle += this.lg ? "--lgWidthVGR:".concat(this.getValue(this.lg), "; ") : '';
      newStyle += this.xl ? "--xlWidthVGR:".concat(this.getValue(this.xl), "; ") : '';
      return newStyle;
    }
  }
};

var _withId$1 = /*#__PURE__*/withScopeId("data-v-5ac92ce2");

var render$1 = /*#__PURE__*/_withId$1(function (_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createBlock("div", {
    style: $data.styleGeneral,
    "class": $data.classGeneral
  }, [renderSlot(_ctx.$slots, "default")], 6
  /* CLASS, STYLE */
  );
});

var css_248z$1 = "\n.colVGR[data-v-5ac92ce2] {\n  position: relative;\n  box-sizing: border-box;\n  flex-grow: var(--colFlexVGR);\n  padding: var(--paddingVGR);\n}\n.colVGR-xs[data-v-5ac92ce2] {\n  flex-basis: var(--xsWidthVGR);\n  max-width: var(--xsWidthVGR);\n}\n@media (min-width: 576px) {\n.colVGR-sm[data-v-5ac92ce2] {\n    flex-basis: var(--smWidthVGR);\n    max-width: var(--smWidthVGR);\n}\n}\n@media (min-width: 768px) {\n.colVGR-md[data-v-5ac92ce2] {\n    flex-basis: var(--mdWidthVGR);\n    max-width: var(--mdWidthVGR);\n}\n}\n@media (min-width: 992px) {\n.colVGR-lg[data-v-5ac92ce2] {\n    flex-basis: var(--lgWidthVGR);\n    max-width: var(--lgWidthVGR);\n}\n}\n@media (min-width: 1200px) {\n.colVGR-xl[data-v-5ac92ce2] {\n    max-width: var(--xlWidthVGR);\n}\n}\n";
styleInject(css_248z$1);

script$1.render = render$1;
script$1.__scopeId = "data-v-5ac92ce2";
script$1.__file = "src/Column.vue";

var script$2 = {
  name: 'Hidden',
  data: function data() {
    return {
      classGeneral: "".concat(this.createClassSize())
    };
  },
  props: {
    xs: Boolean,
    sm: Boolean,
    md: Boolean,
    lg: Boolean,
    xl: Boolean
  },
  methods: {
    createClassSize: function createClassSize() {
      var newClass = '';
      newClass += this.xs ? 'hiddenVGR-xs ' : '';
      newClass += this.sm ? 'hiddenVGR-sm ' : '';
      newClass += this.md ? 'hiddenVGR-md ' : '';
      newClass += this.lg ? 'hiddenVGR-lg ' : '';
      newClass += this.xl ? 'hiddenVGR-xl ' : '';
      return newClass;
    }
  }
};

var _withId$2 = /*#__PURE__*/withScopeId("data-v-4e75e9e3");

var render$2 = /*#__PURE__*/_withId$2(function (_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createBlock("div", {
    "class": $data.classGeneral
  }, [renderSlot(_ctx.$slots, "default")], 2
  /* CLASS */
  );
});

var css_248z$2 = "\n@media (max-width: 575px) {\n.hiddenVGR-xs[data-v-4e75e9e3] {\n    display: none;\n}\n}\n@media (min-width: 576px) and (max-width: 767px) {\n.hiddenVGR-sm[data-v-4e75e9e3] {\n    display: none;\n}\n}\n@media (min-width: 768px) and (max-width: 991px) {\n.hiddenVGR-md[data-v-4e75e9e3] {\n    display: none;\n}\n}\n@media (min-width: 992px) and (max-width: 1199px) {\n.hiddenVGR-lg[data-v-4e75e9e3] {\n    display: none;\n}\n}\n@media (min-width: 1200px) {\n.hiddenVGR-xl[data-v-4e75e9e3] {\n    display: none;\n}\n}\n";
styleInject(css_248z$2);

script$2.render = render$2;
script$2.__scopeId = "data-v-4e75e9e3";
script$2.__file = "src/Hidden.vue";

export { script$1 as Column, script$2 as Hidden, script as Row };
//# sourceMappingURL=vue-grid-responsive.esm.js.map
